For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Dashboard
User GuideDeveloper GuidesAPI Reference
User GuideDeveloper GuidesAPI Reference
    • Overview
  • Runtype API
      • POSTConfigure webhook from documentation
      • POSTInfer schema from JSON payload
      • POSTToggle webhook learning mode
      • GETGet webhook field mappings
      • PUTUpdate webhook field mappings
      • GETList webhook observations
      • DELClear webhook observations
      • GETGet event routing configuration
      • PUTUpdate event routing configuration
      • GETGet webhook schema
      • POSTUpload webhook schema
      • POSTConfirm proposed schema
Dashboard
LogoLogo
Runtype APIWebhook Management

Update event routing configuration

PUT
/v1/products/:id/surfaces/:surfaceId/webhook-routing
PUT
/v1/products/:id/surfaces/:surfaceId/webhook-routing
$curl -X PUT https://api.runtype.com/v1/products/id/surfaces/surfaceId/webhook-routing \
> -H "Authorization: <apiKey>" \
> -H "Content-Type: application/json" \
> -d '{
> "eventTypePath": "user.signup.completed",
> "routes": {}
>}'
1{}
Update event routing configuration for a webhook surface.
Was this page helpful?
Previous

Get webhook schema

Next
Built with

Authentication

AuthorizationBearer
API key or Clerk session token

Path parameters

idstringRequired
Product ID
surfaceIdstringRequired
Surface ID

Request

This endpoint expects an object.
eventTypePathstringRequired>=1 character
routesmap from strings to stringsRequired
fallbackCapabilityIdstringOptional

Response

Routing updated
eventRoutingany

Errors

400
Bad Request Error
401
Unauthorized Error
404
Not Found Error
500
Internal Server Error